{% extends '@KaitekFramework/Backend/module.html.twig' %}
{% trans_default_domain (modulename) %}
{% block begin_javascript_fix %}
<script type="text/javascript">
    {% endblock begin_javascript_fix %}



    {% block begin_javascript %}
    {{ parent() }}
    {{ modulename }}Obj.prototype = {
        storeConfig:{
            //JobRotationTeam:{routeName:'JobRotationTeam-getComboValues',table:'job_rotation_teams'}
            //,JobRotationTeamG:{routeName:'JobRotationTeam-getComboValues',table:'job_rotation_teams'}
            //,TeamLeader:{routeName:'TeamLeader-getComboValues',table:'team_leaders'}
            //,TeamLeaderG:{routeName:'TeamLeader-getComboValues',table:'team_leaders'}
        },
        init : function(){
            var t = this;
            {{ modulename }}Obj.superclass.init.call(t);

            const gridConfig = {
                cm: [
                    {header: "{{ 'Employee.code'|trans }}", dataIndex: 'code', width: 60,filter:'between',alias:'e'},
                    {header: "{{ 'Employee.name'|trans }}", dataIndex: 'name', width: 200,filter:'single',alias:'e',operator:'%.%'},
                    {header: "{{ 'Employee.jobrotationteam'|trans }}", dataIndex: 'jobrotationteam', width: 120,filter:'single', type:'combo',store:t.extras.job_rotation_teams,alias:'e',operator:'='},
                    {header: "{{ 'Employee.teamleader'|trans }}", dataIndex: 'teamleader', width: 120,filter:'single', type:'combo',store:t.extras.team_leaders,alias:'e',operator:'='},
                    {header: "{{ 'Employee.isexpert'|trans }}", dataIndex: 'isexpert', width: 60,renderer:mj.renderer.check(),filter:'single', type:'check',alias:'e'},
                    {header: "{{ 'Employee.isoperator'|trans }}", dataIndex: 'isoperator', width: 60,renderer:mj.renderer.check(),filter:'single', type:'check',alias:'e'},
                    {header: "{{ 'Employee.ismaintenance'|trans }}", dataIndex: 'ismaintenance', width: 60,renderer:mj.renderer.check(),filter:'single', type:'check',alias:'e'},
                    {header: "{{ 'Employee.ismould'|trans }}", dataIndex: 'ismould', width: 60,renderer:mj.renderer.check(),filter:'single', type:'check',alias:'e'},
                    {header: "{{ 'Employee.isquality'|trans }}", dataIndex: 'isquality', width: 60,renderer:mj.renderer.check(),filter:'single', type:'check',alias:'e'}
                ]
            };

            t._setGridConfig(gridConfig);

            const formConfig= {
                items: [
                    new mj.form.field({
                        dataIndex: 'id',
                        hidden: true
                    }),
                    new mj.form.field({
                        dataIndex: 'version',
                        hidden: true
                    }),
                    new mj.form.textField({
                        title: "{{ 'Employee.code'|trans }}",
                        dataIndex: 'code',
                        maxLength: 50,
                        labelWidth : '110px',
                        grid: 's4 m2'
                    }),
                    new mj.form.textField({
                        title: "{{ 'Employee.name'|trans }}",
                        dataIndex: 'name',
                        maxLength: 100,
                        labelWidth : '110px',
                        grid: 's12 m6'
                    }),
                    new mj.form.textField({
                        title: "{{ 'Employee.secret'|trans }}",
                        dataIndex: 'secret',
                        maxLength: 100,
                        labelWidth : '110px',
                        grid: 's4 m2'
                    }),
                    new mj.form.combo({
                        title: "{{ 'Employee.jobrotationteam'|trans }}",
                        placeHolder: "{{ 'Employee.jobrotationteam_placeholder'|trans }}",
                        dataIndex: 'jobrotationteam',
                        mode: 'local',
                        clearOnTriggerClick: true,
                        labelWidth : '110px',
                        grid: 's6 m4',
                        store: t.extras.job_rotation_teams
                    }),
                    new mj.form.combo({
                        title: "{{ 'Employee.teamleader'|trans }}",
                        placeHolder: "{{ 'Employee.teamleader_placeholder'|trans }}",
                        dataIndex: 'teamleader',
                        mode: 'local',
                        clearOnTriggerClick: true,
                        labelWidth : '110px',
                        grid: 's6 m4',
                        store: t.extras.team_leaders
                    }),
                    new mj.form.checkBox({
                        title: "{{ 'Employee.isexpert'|trans }}",
                        dataIndex: 'isexpert',
                        itemStyle: 'padding:0 35px 0 0;float:left;',
                        labelWidth : '110px',
                        grid: 'none'
                    }),
                    new mj.form.checkBox({
                        title: "{{ 'Employee.isoperator'|trans }}",
                        dataIndex: 'isoperator',
                        itemStyle: 'padding:0 35px 0 0;float:left;',
                        labelWidth : '110px',
                        grid: 'none'
                    }),
                    new mj.form.checkBox({
                        title: "{{ 'Employee.ismaintenance'|trans }}",
                        dataIndex: 'ismaintenance',
                        itemStyle: 'padding:0 35px 0 0;float:left;',
                        labelWidth : '110px',
                        grid: 'none'
                    }),
                    new mj.form.checkBox({
                        title: "{{ 'Employee.ismould'|trans }}",
                        dataIndex: 'ismould',
                        itemStyle: 'padding:0 35px 0 0;float:left;',
                        labelWidth : '110px',
                        grid: 'none'
                    }),
                    new mj.form.checkBox({
                        title: "{{ 'Employee.isquality'|trans }}",
                        dataIndex: 'isquality',
                        itemStyle: 'padding:0 35px 0 0;float:left;',
                        labelWidth : '110px',
                        grid: 'none'
                    }),
                    new mj.form.dateField({
                        title: "{{ 'Employee.start'|trans }}",
                        dataIndex: 'start',
                        labelWidth : '110px',
                        notEmpty: true,
                        grid: 's4 m2'
                    }),
                    new mj.form.dateField({
                        title: "{{ 'Employee.finish'|trans }}",
                        dataIndex: 'finish',
                        labelWidth : '110px',
                        grid: 's4 m2'
                    })
                ]
            };
            t._setFormConfig(formConfig);

        }
    };
    {% endblock begin_javascript %}



    {% block begin_default_module %}
    {{ parent() }}
    {% endblock begin_default_module %}



    {% block end_default_module %}
    {{ parent() }}
    {% endblock end_default_module %}


    {% block end_javascript %}
    {{ parent() }}
    {% endblock end_javascript %}


    {% block end_javascript_fix %}
</script>
{% endblock end_javascript_fix %}



{% block body %}
    {{ parent() }}
{% endblock body %}
